# Function process

- process<I, O>(inputs): Generator<GraphQlRequest | Web3Request, {
  compiler: { name: string | undefined; version: string | undefined; };
  contracts: (I & O)[];
  db?: {};
  sourceIndexes: string[];
  sources: ({ sourcePath: string; contents: string; ast?: object | undefined; legacyAST?: object | undefined; language: string; })[];
  }[], any>

- #### Type Parameters

  - #### I extends Project.LoadCompile.Batch.Contract<{
    compilation: {};
    contract: {
    bytecode: BytecodeInput;
    deployedBytecode: BytecodeInput;
    };
    entry: {
    callBytecode: BytecodeInput;
    createBytecode: BytecodeInput;
    };
    resources: {
    callBytecode: undefined | Resources.IdObject<"bytecodes">;
    createBytecode: undefined | Resources.IdObject<"bytecodes">;
    };
    result: {
    callBytecode: undefined | Resources.IdObject<"bytecodes">;
    createBytecode: undefined | Resources.IdObject<"bytecodes">;
    };
    source: {};
    }>

  - #### O extends CompiledContract & {
    bytecode: BytecodeInput;
    deployedBytecode: BytecodeInput;
    } & {
    db: {
    callBytecode: undefined | Resources.IdObject<"bytecodes">;
    createBytecode: undefined | Resources.IdObject<"bytecodes">;
    };
    }

  #### Parameters

  - ##### inputs: {
    compiler: { name: string | undefined; version: string | undefined; };
    contracts: I[];
    db?: {};
    sourceIndexes: string[];
    sources: ({ sourcePath: string; contents: string; ast?: object | undefined; legacyAST?: object | undefined; language: string; })[];
    }[]

  #### Returns Generator<GraphQlRequest | Web3Request, {
  compiler: { name: string | undefined; version: string | undefined; };
  contracts: (I & O)[];
  db?: {};
  sourceIndexes: string[];
  sources: ({ sourcePath: string; contents: string; ast?: object | undefined; legacyAST?: object | undefined; language: string; })[];
  }[], any>

  - Defined in packages/db/src/project/loadCompile/batch.ts:135

Generated using TypeDoc